section.article.obsolete {
  opacity: 0.5;
}
section.article.obsolete::before {
  content: "This document is obsolete";
  position: fixed;
  top: 50%;
  left: 25%;
  z-index: 500;
  display: flex;
  justify-content: center;
  align-items: center;
  font-size: 48pt;
  font-weight: bold;
  text-align: center;
  color: #f00;
  opacity: 0.5;
  transform: translate(0, -50%) rotate(-45deg);
}
@media screen and (max-width: 800px) {
  section.article.obsolete::before {
    content: "Obsolete";
    text-transform: uppercase;
    left: 0;
  }
}
section.article header details {
  margin: 1rem 0;
  font-size: 1.2rem;
}
section.article header details .subject {
  margin: 1rem;
  text-align: center;
}
section.article header details .document-info {
  font-size: smaller;
  font-style: italic;
}
.content {
  background-color: #fff;
}
.content > article {
  flex: 1 1 67%;
  color: inherit;
  background: inherit;
}
.content > article :target {
  padding-top: calc(60px + 1rem);
}
.content > article details {
  padding: 6px;
}
.content > article details[open] {
  border: 1px solid #d3d3d3;
  border-radius: 4px;
  background-color: rgba(55,129,230,0.05);
}
.content > article details[open] summary {
  margin-bottom: 1rem;
}
.article-reference {
  font-size: smaller;
  color: #add8e6;
}
.article article {
  counter-reset: h2;
}
.article article h1 {
  counter-reset: h2;
}
.article article h2 {
  counter-reset: h3;
}
.article article h3 {
  counter-reset: h4;
}
.article article h4 {
  counter-reset: h5;
}
@media screen {
  .article article a[href] {
    text-decoration: underline solid rgba(0,0,255,0.5);
  }
  .article article a[href]:hover {
    color: #00f;
    transition: color 0.3s ease-in;
  }
}
aside.toc {
  flex: 1 1 20%;
  padding: 1rem;
/*opacity .7*/
  transition: background-color 0.1s ease-out;
  color: #f5f5f5;
  background-color: #3781e6;
}
aside.toc:hover,
aside.toc:focus-within {
  opacity: 1;
  background-color: #2a79e4;
}
aside.toc a {
  text-decoration: none;
}
aside.toc a.toc-link:hover {
  color: #d9d9d9;
}
@media screen and (max-width: 800px) {
  aside.toc > ol {
    display: none;
  }
  aside.toc ol ol {
    display: none;
  }
}
@media not screen and (max-width: 800px) {
  aside.toc {
    border-right: 1px solid;
  }
  aside.toc > details {
    display: none;
  }
  aside.toc > ol {
    position: sticky;
    top: 100px;
    max-height: calc(100vh - 120px);
    overflow-y: auto;
  }
}
aside.toc ol {
  counter-reset: heading;
}
aside.toc ol li {
  list-style-type: none;
}
@media screen and (max-width: 800px) {
  .article-index .article-toc tr td {
    display: block;
  }
  .article-index .article-toc tr td:first-of-type {
    font-size: smaller;
  }
  .article-index .article-toc tr td:last-of-type {
    margin-bottom: 1rem;
  }
}
